<%@page contentType="text/html;charset=UTF-8" autoFlush="true"%>
<%@page import="com.ibm.json.java.JSONObject"%>
<%@page import="psdi.webclient.system.controller.AppInstance"%>
<%@page import="psdi.webclient.system.controller.ComponentInstance"%>
<%@page import="psdi.webclient.system.controller.ControlInstance"%>
<%@page import="psdi.webclient.system.controller.PageInstance"%>
<%@page import="psdi.webclient.system.session.WebClientSession"%>
<%@page import="psdi.webclient.system.beans.*"%>
<%@page import="psdi.mbo.*"%>
<%
ComponentInstance component = ComponentInstance.getCurrent(request);
ControlInstance control = component.getControl();
WebClientSession wcs = control.getWebClientSession();
PageInstance currentPage = control.getPage();
AppInstance app = currentPage.getAppInstance();
boolean componentVisible = component.isVisible();
boolean hiddenFrame = Boolean.parseBoolean(request.getParameter("hiddenframe"));
String id = component.getRenderId();
String componentValue = null;
boolean designmode = wcs.getDesignmode();
boolean defaultRender = component.isDefaultRender();
boolean isMasked = component.isMasked();
String servletBase = wcs.getMaximoRequestContextURL() + "/webclient";
DataBean mainrecord = app.getDataBean("mainrecord");
MboSetRemote xx = mainrecord.getMboSet();
MboRemote pla = xx.getMbo();
String planifId = pla.getString("TAL_PLANIFID");
	if(defaultRender)
	{	
		%><%@ include file="../../../../common/componentholder_begin.jsp" %><%
	}
%>

<div id="<%=id%>" style="width: 98.5vw;height:86vh;margin:0px;" needsrefresh="true">
	<%
		if(!designmode){
	%>
<iframe allowfullscreen id="talmain"
	style="margin:0px;overflow:hidden;border: none"
	height="100%" 
	width="100%" 
	src="<%=servletBase%>/components/talan/sched/mc/index.html?uisessionid=<%=wcs.getUISessionID()%>&controlid=<%=control.getId()%>&csrftoken=<%=wcs.getCSRFToken()%>&talPlanifId=<%=planifId%>"   >
</iframe>
	<%
		}else{
	%>
			<div>Planificateur Main Courante</div>
	<%
		}
	%>
</div>
<%@ include file="../../../../common/componentfooter.jsp" %>
